From 9beba146b77ba2e34656f38a7ed1dcfe698cd598 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 01 2020 05:51:50 +0000
Subject: [PATCH 501/2232] Avoid relying on ADL for std::back_inserter


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 71c90b0..b7f8e6d 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -237,7 +237,7 @@ void c_take_ref_rust_vec_copy(const rust::Vec<uint8_t> &v) {
   // requirements for std::iterator_traits.
   // https://en.cppreference.com/w/cpp/iterator/iterator_traits
   std::vector<uint8_t> cxx_v;
-  std::copy(v.begin(), v.end(), back_inserter(cxx_v));
+  std::copy(v.begin(), v.end(), std::back_inserter(cxx_v));
   uint8_t sum = std::accumulate(cxx_v.begin(), cxx_v.end(), 0);
   if (sum == 200) {
     cxx_test_suite_set_correct();

